Skip to navigation

Update contract service facility

Deprecated

Deprecated. This endpoint is a temporary holdover from Contracts V3 and will be removed in a future release. Use the dedicated service facility provider endpoints to manage providers (GET/POST/DELETE /api/contracts/v4/{contract_id}/service-facilities/{contract_service_facility_id}/providers).

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

contract_idUUIDRequired
contract_service_facility_idUUIDRequired

Request

This endpoint expects an object.
service_facility_idUUIDOptional
The UUID of the service facility
provider_idsset of UUIDsOptional
The providers who are authorized under the contract

Response

This endpoint returns an object.
contract_idUUID
The UUID of the contract
contract_service_facility_idUUID
provider_idsset of UUIDs
The providers who are authorized under the contract
service_facility_idUUID
The UUID of the service facility

Errors

422
Unprocessable Entity Error